function [y95,y75,y50,y25,y05] = moment3(IRF)

[nsim,H,n] = size(IRF);
y05 = zeros(H,n);
y25 = zeros(H,n);
y50 = squeeze(median(IRF));
y75 = zeros(H,n);
y95 = zeros(H,n);

for i=1:n
  d= sort(squeeze(IRF(:,:,i))); 
  y05(:,i) = d(round(0.05*nsim),:);
  y25(:,i) = d(round(0.25*nsim),:);
  y75(:,i) = d(round(0.75*nsim),:);
  y95(:,i) = d(round(0.95*nsim),:);
end
end
