%==========================================================================
%                         IMPORT DATA SERIES
%
%                   % 1: GDP_E 1947:Q2 - 2012:Q2
%                   % 2: GDP_I 1947:Q2 - 2012:Q2
%==========================================================================
 
load sample_1947Q2_2012Q2.txt
YY        = 100*sample_1947Q2_2012Q2;
time0     = 1948+0.25:0.25:2012.25;
YY        = YY(5:end,:);
[T nv]    = size(YY);   

% create GDP(C) based on calibration
phi    = 1.1;
rho    = 0.45;
lambda = (1-phi*rho)/(1+phi^2-2*phi*rho);
GDPC   = lambda*YY(:,1)+(1-lambda)*YY(:,2);

load recession.txt

load UNRATE.txt
unr_d = UNRATE(2:end,2)-UNRATE(1:end-1,2);


% 1960:Q1 - 2012:Q1
load UMCSENT1.txt
load UMCSENT.txt
umc = [UMCSENT1(21:end,2);UMCSENT(:,2)];


YYY = [YY(48:end-2,:) unr_d(48:end-2) umc(1:end-1)];
GDPC = GDPC(48:end-2);