  function [logLnc,vt,finvt,kt]=kfilter_mod_pm(y,Z,T,R,Qmat)
% ========================================================================
% function [logLnc,vt,finvt,kt,ptt,att]=kfilter_mod_sv(y,Z,T,R,Qmat,a0);
% Same as KFLITER_MOD but for SV model. See  KFILTER_MOD.m for details 
% y(t)   = Z*s(t) 
% s(t)   = T*s(t-1) + R*n(t)    V( n(t) ) = Q(t)
% Alejandro Justiniano (C) October 2006
% =======================================================================
[nobs,nz]=size(y);
[ny,nx]=size(R);
vt=zeros(nz,nobs); 
finvt=zeros(nz,nz,nobs); 
kt=zeros(ny,nz,nobs); 
logLnc=zeros(nobs,1); 
 
y=y'; 

stt=zeros(ny,1);   

ptt=zeros(ny,ny);
for t =1:20
   ptt = T*ptt*T' + R*Qmat*Qmat'*R';
end

for ii=1:nobs;
    [stt,ptt,logLnc(ii),vt(:,ii),finvt(:,:,ii),kt(:,:,ii)]=...
        kf_mod(y(:,ii),Z,stt,ptt,T,R*Qmat);   
end