function [PSI0 e0tilde E0tilde SIG0] = Ftransform(phi0, F, H0)
        
        [T]     = size(F,1);
        
        f1      = F(1);
        SIG0    = (phi0^2)/(1-phi0^2)+exp(2*H0(1));
                        
        e0tilde = F(2:T) ;
        E0tilde = F(1:T-1);
        
        weight  = inv(diag(exp(H0)));
        
        e0tilde = weight(2:T,2:T)*e0tilde;
        E0tilde = weight(2:T,2:T)*E0tilde;
        
        PSI0 = (det(SIG0)^(-0.5))*exp(-0.5*(f1'*inv(SIG0)*f1));
end